net.i2p.router.web.helpers

## Class ConfigNetHandler

- java.lang.Object
- - net.i2p.router.web.FormHandler
  - - net.i2p.router.web.helpers.ConfigNetHandler

-     public class ConfigNetHandler
      extends FormHandler

  Handler to deal with form submissions from the main config form and act upon the values. Used for both /config and /confignet

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.i2p.router.web.FormHandler

      `FormHandler.Message`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) static int` | `DEF_BURST_PCT`
    `(package private) static int` | `DEF_BURST_TIME`

    - ### Fields inherited from class net.i2p.router.web.FormHandler

      `_action, _context, _log, _method, _out, _requestWrapper, _settings`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConfigNetHandler()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `processForm()` Implement this to perform the final processing (in turn, adding formNotice and formError messages, etc) Will only be called if _action is non-null and the nonce is valid.
    `void` | `setDisableUDP(String foo)`
    `void` | `setDynamicKeys(String moo)`
    `void` | `setEnableloadtesting(String moo)`
    `void` | `setHostname(String hostname)`
    `void` | `setInboundrate(String rate)`
    `void` | `setIPv4Firewalled(String moo)`
    `void` | `setIpv6(String mode)`
    `void` | `setIPv6Firewalled(String moo)`
    `void` | `setLaptop(String moo)`
    `void` | `setNtcpAutoIP(String mode)`
    `void` | `setNtcpAutoPort(String mode)`
    `void` | `setNtcphost(String host)`
    `void` | `setNtcpport(String port)`
    `void` | `setOutboundrate(String rate)`
    `void` | `setRatesOnly(String foo)`
    `void` | `setRecheckReachability(String moo)`
    `void` | `setRequireIntroductions(String moo)`
    `void` | `setSave(String moo)`
    `void` | `setSharePercentage(String pct)`
    `void` | `setTcpPort(String port)`
    `void` | `setUdpAutoIP(String mode)`
    `void` | `setUdpHost1(String host)`
    `void` | `setUdpPort(String port)`
    `void` | `setUpnp(String moo)`

    - ### Methods inherited from class net.i2p.router.web.FormHandler

      `_t, _t, _t, _x, addFormError, addFormError, addFormErrorNoEscape, addFormErrorNoEscape, addFormNotice, addFormNotice, addFormNoticeNoEscape, addFormNoticeNoEscape, getAllMessages, getErrors, getJettyString, getNewNonce, getNotices, isAdvanced, setAction, setContextId, setNonce, setRequestWrapper, setSettings, storeMethod, storeNonces, storeWriter`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEF_BURST_PCT

          static final int DEF_BURST_PCT

      See Also:
        Constant Field Values

    - #### DEF_BURST_TIME

          static final int DEF_BURST_TIME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ConfigNetHandler

          public ConfigNetHandler()

  - ### Method Detail

    - #### processForm

          protected void processForm()

      Description copied from class: `FormHandler`
      Implement this to perform the final processing (in turn, adding formNotice and formError messages, etc) Will only be called if _action is non-null and the nonce is valid.
      Specified by:
        `processForm` in class `FormHandler`

    - #### setDisableUDP

          public void setDisableUDP(String foo)

    - #### setDynamicKeys

          public void setDynamicKeys(String moo)

    - #### setEnableloadtesting

          public void setEnableloadtesting(String moo)

    - #### setHostname

          public void setHostname(String hostname)

    - #### setInboundrate

          public void setInboundrate(String rate)

    - #### setIPv4Firewalled

          public void setIPv4Firewalled(String moo)

    - #### setIpv6

          public void setIpv6(String mode)

    - #### setIPv6Firewalled

          public void setIPv6Firewalled(String moo)

    - #### setLaptop

          public void setLaptop(String moo)

    - #### setNtcpAutoIP

          public void setNtcpAutoIP(String mode)

    - #### setNtcpAutoPort

          public void setNtcpAutoPort(String mode)

    - #### setNtcphost

          public void setNtcphost(String host)

    - #### setNtcpport

          public void setNtcpport(String port)

    - #### setOutboundrate

          public void setOutboundrate(String rate)

    - #### setRatesOnly

          public void setRatesOnly(String foo)

    - #### setRecheckReachability

          public void setRecheckReachability(String moo)

    - #### setRequireIntroductions

          public void setRequireIntroductions(String moo)

    - #### setSave

          public void setSave(String moo)

    - #### setSharePercentage

          public void setSharePercentage(String pct)

    - #### setTcpPort

          public void setTcpPort(String port)

    - #### setUdpAutoIP

          public void setUdpAutoIP(String mode)

    - #### setUdpHost1

          public void setUdpHost1(String host)

    - #### setUdpPort

          public void setUdpPort(String port)

    - #### setUpnp

          public void setUpnp(String moo)